Bug 604716 - GWT UI status tray contains "favorites" menu
Summary: GWT UI status tray contains "favorites" menu
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 1.4
Hardware: All
OS: Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-provisioning
TreeView+ depends on / blocked
 
Reported: 2010-06-16 15:06 UTC by Corey Welton
Modified: 2010-08-12 16:47 UTC (History)
5 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:47:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Welton 2010-06-16 15:06:03 UTC
Description of problem:

Provisioning work contains favorites menu.  As this falls outside the scope of bundling and search, it will have to be tested or removed.  Entering the bug for dev/qa investigation.


Steps to repro:
1. Set up some alerts guaranteed to fire on your system (i.e., system load > 0%)
2. Navigate to Administration > Content > Bundles
3. Observe favorites menu in status tray
4. Click favorites

Current results:
Favorites stuff

Expected results:
Nothing GWT-related for favorites, currently.

Comment 1 John Mazzitelli 2010-06-23 21:14:25 UTC
the GWT favorites menu button now works in the lastest code

Comment 2 Rajan Timaniya 2010-06-29 13:57:26 UTC
Verified on JON 2.4 GA_QA (tag-jon-release build #43)
http://hudson-qe.rhq.rdu.redhat.com:8080/view/JON/job/tag-jon-release/43/

Steps:
1) Created alert for platform (system load > 0%)
2) Wait for alert notification
3) Add resource as favorite 
4) Navigate to Administration > Content > Bundles

Observation:
Resources > Favorites & Favorites button: Shows the resource(s) which added as favorite

Comment 3 Corey Welton 2010-06-29 14:34:36 UTC
Reopening.  This is an item that is /not/ supposed to be there per current specs.   Returning to dev.

Comment 4 Heiko W. Rupp 2010-07-09 12:46:06 UTC
3d4ecf9 on release-3.0.0 disables this section.

Comment 5 Sunil Kondkar 2010-07-12 12:05:38 UTC
Verified on Jon-2.4.0.GA_QA build#60

The favorites menu is not displayed in status tray on bundles screen.

Comment 6 Corey Welton 2010-08-12 16:47:33 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.